Bug 127129 - KERNEL: assertion (tp->copied_seq == tp->rcv_nxt || (flags & (MSG_PEEK | MSG_TRUNC))) failed at net/ipv4/tcp.c (1582)
KERNEL: assertion (tp->copied_seq == tp->rcv_nxt || (flags & (MSG_PEEK | MSG_...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-02 09:06 EDT by Byron Miller
Modified: 2015-01-04 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 02:10:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Byron Miller 2004-07-02 09:06:48 EDT
Description of problem:

large amount of threads over tcpip seems to cause the kernel messages 
and thus apps don't gracefully finish or throw errors because they 
can't get the network resource needed

Version-Release number of selected component (if applicable):

Fedora Core 2 - using latest kernel to fix J2ee errors (java getting 
stuck)


How reproducible:

Under load - Running a "crawler" to fetch 4 million urls of about 
200+ threads and it shoots this error on a HT 2.6ghz p4.  It seems to 
run fine on a dual xeon running the same code/kernel & os patches


Steps to Reproduce:
1. do a large web crawl (specifically nutch) with high thread count 
(http)
2.
3.
  
Actual results:

KERNEL: assertion (tp->copied_seq == tp->rcv_nxt || (flags & 
(MSG_PEEK | MSG_TRUNC))) failed at net/ipv4/tcp.c (1582)
KERNEL: assertion (flags & MSG_PEEK) failed at net/ipv4/tcp.c (1518)
recvmsg bug: copied C48DC088 seq C48DC630
KERNEL: assertion (tp->copied_seq == tp->rcv_nxt || (flags & 
(MSG_PEEK | MSG_TRUNC))) failed at net/ipv4/tcp.c (1582)
KERNEL: assertion (flags & MSG_PEEK) failed at net/ipv4/tcp.c (1518)
recvmsg bug: copied C48DC088 seq C48DC630
KERNEL: assertion (tp->copied_seq == tp->rcv_nxt || (flags & 
(MSG_PEEK | MSG_TRUNC))) failed at net/ipv4/tcp.c (1582)
KERNEL: assertion (flags & MSG_PEEK) failed at net/ipv4/tcp.c (1518)
recvmsg bug: copied C48DC088 seq C48DC630
KERNEL: assertion (tp->copied_seq == tp->rcv_nxt || (flags & 
(MSG_PEEK | MSG_TRUNC))) failed at net/ipv4/tcp.c (1582)
KERNEL: assertion (flags & MSG_PEEK) failed at net/ipv4/tcp.c (1518)
recvmsg bug: copied C48DC088 seq C48DC630
KERNEL: assertion (tp->copied_seq == tp->rcv_nxt || (flags & 
(MSG_PEEK | MSG_TRUNC))) failed at net/ipv4/tcp.c (1582)
KERNEL: assertion (flags & MSG_PEEK) failed at net/ipv4/tcp.c (1518)
recvmsg bug: copied C48DC088 seq C48DC630
KERNEL: assertion (tp->copied_seq == tp->rcv_nxt || (flags & 
(MSG_PEEK | MSG_TRUNC))) failed at net/ipv4/tcp.c (1582)
KERNEL: assertion (flags & MSG_PEEK) failed at net/ipv4/tcp.c (1518)
recvmsg bug: copied C48DC088 seq C48DC630
KERNEL: assertion (tp->copied_seq == tp->rcv_nxt || (flags & 
(MSG_PEEK | MSG_TRUNC))) failed at net/ipv4/tcp.c (1582)
KERNEL: assertion (flags & MSG_PEEK) failed at net/ipv4/tcp.c (1518)
recvmsg bug: copied C48DC088 seq C48DC630
KERNEL: assertion (tp->copied_seq == tp->rcv_nxt || (flags & 
(MSG_PEEK | MSG_TRUNC))) failed at net/ipv4/tcp.c (1582)
KERNEL: assertion (flags & MSG_PEEK) failed at net/ipv4/tcp.c (1518)
recvmsg bug: copied C48DC088 seq C48DC630
KERNEL: assertion (tp->copied_seq == tp->rcv_nxt || (flags & 
(MSG_PEEK | MSG_TRUNC))) failed at net/ipv4/tcp.c (1582)
KERNEL: assertion (flags & MSG_PEEK) failed at net/ipv4/tcp.c (1518)
recvmsg bug: copied C48DC088 seq C48DC630
KERNEL: assertion (tp->copied_seq == tp->rcv_nxt || (flags & 
(MSG_PEEK | MSG_TRUNC))) failed at net/ipv4/tcp.c (1582)
KERNEL: assertion (flags & MSG_PEEK) failed at net/ipv4/tcp.c (1518)
recvmsg bug: copied C48DC088 seq C48DC630
KERNEL: assertion (tp->copied_seq == tp->rcv_nxt || (flags & 
(MSG_PEEK | MSG_TRUNC))) failed at net/ipv4/tcp.c (1582)
KERNEL: assertion (flags & MSG_PEEK) failed at net/ipv4/tcp.c (1518)
recvmsg bug: copied C48DC088 seq C48DC630

Expected results:


Additional info:

kernel/system info

Jun 30 04:42:23 virginia kernel: Linux version 2.6.7-1.441smp 
(bhcompile@tweety.build.redhat.com) (gcc version 3.4.0 20040613 (Red H
at Linux 3.4.0-5)) #1 SMP Sun Jun 20 14:14:23 EDT 2004
Jun 30 04:42:23 virginia kernel: BIOS-provided physical RAM map:
Jun 30 04:42:23 virginia kernel:  BIOS-e820: 0000000000000000 - 
00000000000a0000 (usable)
Jun 30 04:42:23 virginia kernel:  BIOS-e820: 00000000000f0000 - 
0000000000100000 (reserved)
Jun 30 04:42:23 virginia kernel:  BIOS-e820: 0000000000100000 - 
000000003fff0000 (usable)
Jun 30 04:42:23 virginia kernel:  BIOS-e820: 000000003fff0000 - 
000000003fff3000 (ACPI NVS)
Jun 30 04:42:23 virginia kernel:  BIOS-e820: 000000003fff3000 - 
0000000040000000 (ACPI data)
Jun 30 04:42:23 virginia kernel:  BIOS-e820: 00000000fec00000 - 
0000000100000000 (reserved)
Jun 30 04:42:23 virginia kernel: 0MB HIGHMEM available.
Jun 30 04:42:23 virginia kernel: 1023MB LOWMEM available.
Jun 30 04:42:23 virginia kernel: ACPI: S3 and PAE do not like each 
other for now, S3 disabled.
Jun 30 04:42:23 virginia kernel: found SMP MP-table at 000f5c80
Jun 30 04:42:23 virginia kernel: NX (Execute Disable) protection: not 
present!
Jun 30 04:42:23 virginia kernel: Using x86 segment limits to 
approximate NX protection
Jun 30 04:42:23 virginia kernel: On node 0 totalpages: 262128
Jun 30 04:42:23 virginia kernel:   DMA zone: 4096 pages, LIFO batch:1
Jun 30 04:42:23 virginia kernel:   Normal zone: 258032 pages, LIFO 
batch:16
Jun 30 04:42:23 virginia kernel:   HighMem zone: 0 pages, LIFO batch:1
Jun 30 04:42:23 virginia kernel: DMI 2.2 present.
Jun 30 04:42:23 virginia kernel: Using APIC driver default
Jun 30 04:42:23 virginia kernel: ACPI: RSDP (v000 
AWARD                                     ) @ 0x000f75e0
Jun 30 04:42:23 virginia kernel: ACPI: RSDT (v001 AWARD  AWRDACPI 
0x42302e31 AWRD 0x00000000) @ 0x3fff3000
Jun 30 04:42:23 virginia kernel: ACPI: FADT (v001 AWARD  AWRDACPI 
0x42302e31 AWRD 0x00000000) @ 0x3fff3040
Jun 30 04:42:23 virginia kernel: ACPI: MADT (v001 AWARD  AWRDACPI 
0x42302e31 AWRD 0x00000000) @ 0x3fff68c0
Jun 30 04:42:23 virginia kernel: ACPI: DSDT (v001 AWARD  AWRDACPI 
0x00001000 MSFT 0x0100000d) @ 0x00000000
Jun 30 04:42:23 virginia portmap: portmap startup succeeded
Jun 30 04:42:23 virginia kernel: ACPI: PM-Timer IO Port: 0x1008
Jun 30 04:42:23 virginia kernel: ES7000: did not find Unisys ACPI OEM 
table!
Jun 30 04:42:23 virginia kernel: ACPI: LAPIC (acpi_id[0x00] lapic_id
[0x00] enabled)
Jun 30 04:42:23 virginia kernel: Processor #0 15:2 APIC version 20
Jun 30 04:42:23 virginia kernel: ACPI: LAPIC (acpi_id[0x01] lapic_id
[0x01] enabled)
Jun 30 04:42:23 virginia kernel: Processor #1 15:2 APIC version 20
Jun 30 04:42:23 virginia kernel: ACPI: LAPIC_NMI (acpi_id[0x00] high 
edge lint[0x1])
Jun 30 04:42:23 virginia kernel: ACPI: LAPIC_NMI (acpi_id[0x00] high 
edge lint[0x1])
Jun 30 04:42:23 virginia kernel: ACPI: IOAPIC (id[0x02] address
[0xfec00000] gsi_base[0])
Jun 30 04:42:23 virginia kernel: IOAPIC[0]: Assigned apic_id 2
Jun 30 04:42:23 virginia kernel: IOAPIC[0]: apic_id 2, version 20, 
address 0xfec00000, GSI 0-23
Jun 30 04:42:23 virginia kernel: ACPI: INT_SRC_OVR (bus 0 bus_irq 0 
global_irq 2 dfl dfl)
Comment 1 Dave Jones 2005-01-14 00:42:58 EST
this should have got fixed in a subsequent kernel update.
can you confirm the latest updates have this fixed please ?
Comment 2 Dave Jones 2005-04-16 02:10:14 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.